Gentoo Archives: gentoo-commits

From: Kent Fredric <kentfredric@×××××.com>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Ogg-Vorbis-Decoder/
Date: Tue, 05 Apr 2011 18:18:42
Message-Id: 2952908b2621344cf485e7c66af1a202c276b467.kent@gentoo
commit:     2952908b2621344cf485e7c66af1a202c276b467
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Tue Apr  5 15:13:45 2011 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Tue Apr  5 15:13:45 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=2952908b

[added] Ogg::Vorbis::Decoder

(Portage version: 2.2.0_alpha29/git/Linux x86_64, signed Manifest commit with key 0A0CB301)

---
 dev-perl/Ogg-Vorbis-Decoder/ChangeLog              |   10 ++++++++
 .../Ogg-Vorbis-Decoder-0.900.0.ebuild              |   24 ++++++++++++++++++++
 dev-perl/Ogg-Vorbis-Decoder/metadata.xml           |    9 +++++++
 3 files changed, 43 insertions(+), 0 deletions(-)

diff --git a/dev-perl/Ogg-Vorbis-Decoder/ChangeLog b/dev-perl/Ogg-Vorbis-Decoder/ChangeLog
new file mode 100644
index 0000000..55c176d
--- /dev/null
+++ b/dev-perl/Ogg-Vorbis-Decoder/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for dev-perl/Ogg-Vorbis-Decoder
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*Ogg-Vorbis-Decoder-0.900.0 (05 Apr 2011)
+
+  05 Apr 2011; Kent Fredric <kentfredric@×××××.com>
+  +Ogg-Vorbis-Decoder-0.900.0.ebuild, +metadata.xml:
+  Added
+

diff --git a/dev-perl/Ogg-Vorbis-Decoder/Ogg-Vorbis-Decoder-0.900.0.ebuild b/dev-perl/Ogg-Vorbis-Decoder/Ogg-Vorbis-Decoder-0.900.0.ebuild
new file mode 100644
index 0000000..68ce74f
--- /dev/null
+++ b/dev-perl/Ogg-Vorbis-Decoder/Ogg-Vorbis-Decoder-0.900.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI="4"
+MODULE_AUTHOR=DANIEL
+MODULE_VERSION=0.9
+inherit perl-module
+
+DESCRIPTION="An object-oriented Ogg Vorbis to decoder"
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+COMMON_DEPEND="
+	media-libs/libvorbis
+	media-libs/libogg
+"
+DEPEND="
+	${COMMON_DEPEND}
+"
+RDEPEND="
+	${COMMON_DEPEND}
+"
+SRC_TEST="do"

diff --git a/dev-perl/Ogg-Vorbis-Decoder/metadata.xml b/dev-perl/Ogg-Vorbis-Decoder/metadata.xml
new file mode 100644
index 0000000..ccc7e0f
--- /dev/null
+++ b/dev-perl/Ogg-Vorbis-Decoder/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+    <herd>perl</herd>
+    <maintainer>
+        <email>kentfredric@×××××.com</email>
+        <name>Kent Fredric</name>
+    </maintainer>
+</pkgmetadata>